package projectzombie.items;

import gl_engine.vec.Vec2d;
import gl_engine.vec.Vec2i;
import projectzombie.entity.player.EntityPlayer;
import projectzombie.init.Models;
import projectzombie.init.Tiles;
import projectzombie.model.Model;
import projectzombie.model.ModelItem;
import projectzombie.util.ItemStack;
import projectzombie.world.chunk.Chunk;
import projectzombie.world.layer.Layer;

public class ItemBlastFurnace extends Item
{

	@Override
	public ModelItem getModel(ItemStack stack) {
		return Models.ITEM_BLAST_FURNACE;
	}
	
	@Override
	public Model getPlaceModel(ItemStack stack) {
		return Models.TILE_BLAST_FURNACE;
	}
	
	@Override
	public String getName(ItemStack stack) {
		return "Blast Furnace";
	}
	
	@Override
	public boolean onPlayerRightClick(ItemStack stack, Layer layer, EntityPlayer player, Vec2d place_pos)
	{
		Vec2i pos = place_pos.toInt();
		
		if(layer.getFrontTile(pos).tile != Tiles.VOID) {
			return false;
		}
		
		stack.count -= 1;
		layer.setFrontTile(Tiles.BLAST_FURNACE.getDefaultState(), pos);
		
		return true;
	}

}
